// pages/comments/comments.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    msg: {
      Id: '2162',
      Type: 2,
      GuestId: '37284'
    },
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log("options", options)
    let msg = this.data.msg;
    if (options.GuestId) {
      msg.GuestId = options.GuestId;
      msg.Id = options.Id;
      msg.Type = options.Type;
      this.setData({
        msg: msg
      })
    }
    this.getPinglunList();
    
  },
  getPinglunList() {
    console.log(" this.data.msg", this.data.msg)
    let msg = {};
    msg.pageIndex = 1;
    msg.pageSize = 100;
    msg.SourceId = this.data.msg.Id;
    msg.Type = this.data.msg.Type;
    app.$api('b2b_get_GetMXYPunchCardPageList', msg).then(res => {
      this.setData({
        plList: res.pageData
      })
    }).catch(err => { })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})